From 198a1d092bf1663d65ca8974232cac61f00ee9c0 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Mon, 16 Dec 2024 08:16:12 +1100
Subject: [PATCH v2] DOCS: Fix wrong linkend on pg_createsubscriber page.

---
 doc/src/sgml/ref/pg_createsubscriber.sgml | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/ref/pg_createsubscriber.sgml b/doc/src/sgml/ref/pg_createsubscriber.sgml
index f8a3911..a2388ce 100644
--- a/doc/src/sgml/ref/pg_createsubscriber.sgml
+++ b/doc/src/sgml/ref/pg_createsubscriber.sgml
@@ -49,7 +49,8 @@ PostgreSQL documentation
   <para>
    <application>pg_createsubscriber</application> creates a new logical
    replica from a physical standby server.  All tables in the specified
-   database are included in the logical replication setup.  A pair of
+   database are included in the <link linkend="logical-replication">logical
+   replication</link> setup.  A pair of
    publication and subscription objects are created for each database.  It
    must be run at the target server.
   </para>
@@ -70,8 +71,11 @@ PostgreSQL documentation
    spent synchronizing data is usually a large amount of changes to be applied
    (that were produced during the initial data copy), which increases even
    more the time when the logical replica will be available. For smaller
-   databases, <link linkend="logical-replication-row-filter-initial-data-sync">
-   initial data synchronization</link> is recommended.
+   databases, it is recommended to set up logical replication with initial data
+   synchronization.  For details, see the <command>CREATE SUBSCRIPTION</command>
+   <link linkend="sql-createsubscription-params-with-copy-data">
+   <literal>copy_data</literal></link> option.
+
   </para>
  </refsect1>
 
-- 
1.8.3.1

